<?php
/* -----------------------------------------------------------------------------
  Plugin     : LMT
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

global $prefixeTable;

load_language('plugin.lang', LMT_PATH);

$main_plugin_object = get_plugin_data($plugin_id);


if(CommonPlugin::checkGPCRelease(LMT_GPC_NEEDED))
{
  $config=Array();
  GPCCore::loadConfig('lmt', $config);


  if($config['installed']!=LMT_VERSION2)
  {
    /* the plugin was updated without being deactivated
     * deactivate + activate the plugin to process the database upgrade
     */
    include(LMT_PATH."lmt_install.class.inc.php");
    $obj=new LMT_Install($prefixeTable, dirname(__FILE__));
    $obj->deactivate();
    $obj->activate();
    $template->delete_compiled_templates();
    //$config['newInstall']='n';
  }

  include(LMT_PATH."lmt_aip.class.inc.php");
  $plugin_aip = new LMT_AIP($prefixeTable, $main_plugin_object->getFileLocation());
}
else
{
  /*
   * plugin was upgraded, but GPC was not
   * display a page to inform user to upgrade GPC
   */
  include(LMT_PATH."lmt_aip_release.class.inc.php");
  $plugin_aip = new LMT_AIPRelease($prefixeTable, $main_plugin_object->getFileLocation());
}

$plugin_aip->manage();
?>
